Bug 815048 - [abrt] calibre-0.8.33-2.fc16: sem_wait: Process /usr/bin/python was killed by signal 11 (SIGSEGV)
[abrt] calibre-0.8.33-2.fc16: sem_wait: Process /usr/bin/python was killed by...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: calibre (Show other bugs)
16
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Kevin Fenzi
Fedora Extras Quality Assurance
abrt_hash:8ac366a884df26ea9446f376d3d...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-04-22 04:18 EDT by Michiduta07
Modified: 2013-02-13 20:43 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-02-13 20:43:06 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: dso_list (16.78 KB, text/plain)
2012-04-22 04:18 EDT, Michiduta07
no flags Details
File: build_ids (7.17 KB, text/plain)
2012-04-22 04:18 EDT, Michiduta07
no flags Details
File: maps (65.72 KB, text/plain)
2012-04-22 04:18 EDT, Michiduta07
no flags Details
File: backtrace (87.28 KB, text/plain)
2012-04-22 04:18 EDT, Michiduta07
no flags Details

  None (edit)
Description Michiduta07 2012-04-22 04:18:12 EDT
libreport version: 2.0.8
abrt_version:   2.0.7
backtrace_rating: 4
cmdline:        python2 /usr/bin/calibre-parallel
crash_function: sem_wait
executable:     /usr/bin/python
kernel:         3.3.1-5.fc16.x86_64
pid:            21490
pwd:            /tmp/calibre_0.8.33_tmp_zHuZqj/dnYYIO_plumber
reason:         Process /usr/bin/python was killed by signal 11 (SIGSEGV)
time:           Sun 22 Apr 2012 09:53:36 AM EEST
uid:            1001
username:       michiduta

backtrace:      Text file, 89378 bytes
build_ids:      Text file, 7339 bytes
dso_list:       Text file, 17179 bytes
maps:           Text file, 67295 bytes

environ:
:GNOME_DESKTOP_SESSION_ID=this-is-deprecated
:GJS_DEBUG_OUTPUT=stderr
:'LESSOPEN=||/usr/bin/lesspipe.sh %s'
:ORIGWD=/home/michiduta
:QT_IM_MODULE=xim
:LOGNAME=michiduta
:USER=michiduta
:GNOME_KEYRING_CONTROL=/tmp/keyring-xsCbeo
:XDG_VTNR=1
:PATH=/usr/local/bin:/usr/bin:/bin:/usr/local/sbin:/usr/sbin:/sbin:/home/michiduta/.local/bin:/home/michiduta/bin
:DISPLAY=:0
:LANG=en_US.UTF-8
:TERM=dumb
:SHELL=/bin/bash
:XDG_SESSION_COOKIE=e9b6cee750e341801d645b3f0000000d-1335051265.333166-1010431728
:SESSION_MANAGER=local/unix:@/tmp/.ICE-unix/1635,unix/unix:/tmp/.ICE-unix/1635
:SHLVL=1
:CALIBRE_WORKER=1
:HISTSIZE=1000
:CALIBRE_WORKER_KEY=086a3399ac462e6a4d7f1a5e03fc7e3ac6875b7fcd8bb32e59cb41f4b9e9566c
:WINDOWPATH=1
:IMSETTINGS_INTEGRATE_DESKTOP=yes
:GIO_LAUNCHED_DESKTOP_FILE_PID=21288
:GPG_AGENT_INFO=/tmp/keyring-xsCbeo/gpg:0:1
:HOME=/home/michiduta
:USERNAME=michiduta
:IMSETTINGS_MODULE=none
:GIO_LAUNCHED_DESKTOP_FILE=/usr/share/applications/calibre-gui.desktop
:XDG_RUNTIME_DIR=/run/user/michiduta
:CALIBRE_WORKER_ADDRESS=800255202f746d702f70796d702d6b73796a73312f6c697374656e65722d6631447a6e5971012e
:SSH_AUTH_SOCK=/tmp/keyring-xsCbeo/ssh
:GDMSESSION=gnome
:XMODIFIERS=@im=none
:XDG_SESSION_ID=2
:DBUS_SESSION_BUS_ADDRESS=unix:abstract=/tmp/dbus-Eea2rA66hs,guid=e764b07cdf7fcfb3412e044700000042
:_=/usr/bin/gnome-session
:XAUTHORITY=/var/run/gdm/auth-for-michiduta-GVr1ZW/database
:DESKTOP_SESSION=gnome
:GNOME_KEYRING_PID=1628
:CALIBRE_WORKER_RESULT=2f746d702f63616c696272655f302e382e33335f746d705f7a48755a716a2f6970635f726573756c745f315f325f4c37624956612e7069636b6c65
:HOSTNAME=Michiduta.DBZ
:HISTCONTROL=ignoredups
:PWD=/home/michiduta
:MAIL=/var/spool/mail/michiduta
:CALIBRE_WORKER_TEMP_DIR=53272f746d702f63616c696272655f302e382e33335f746d705f7a48755a716a270a70310a2e
:'GJS_DEBUG_TOPICS=JS ERROR;JS LOG'
:XDG_SEAT=seat0

var_log_messages:
:Apr 22 09:53:36 Michiduta kernel: [26417.616625] python2[21490]: segfault at 8 ip 00007f4a20dfac8e sp 00007fff84b34f00 error 4 in libunrar.so[7f4a20dec000+3d000]
:Apr 22 09:53:36 Michiduta abrt[21497]: Saved core dump of pid 21490 (/usr/bin/python) to /var/spool/abrt/ccpp-2012-04-22-09:53:36-21490 (59797504 bytes)

xsession_errors:
:  File "/usr/lib64/python2.7/ctypes/__init__.py", line 431, in LoadLibrary
:  File "/usr/lib64/python2.7/ctypes/__init__.py", line 353, in __init__
:  File "/usr/lib64/python2.7/ctypes/__init__.py", line 431, in LoadLibrary
:  File "/usr/lib64/python2.7/ctypes/__init__.py", line 353, in __init__
:  File "/usr/lib64/python2.7/ctypes/__init__.py", line 431, in LoadLibrary
:  File "/usr/lib64/python2.7/ctypes/__init__.py", line 353, in __init__
:  File "/usr/lib64/python2.7/ctypes/__init__.py", line 431, in LoadLibrary
:  File "/usr/lib64/python2.7/ctypes/__init__.py", line 353, in __init__
:  File "/usr/lib64/python2.7/ctypes/__init__.py", line 431, in LoadLibrary
:  File "/usr/lib64/python2.7/ctypes/__init__.py", line 353, in __init__
:  File "/usr/lib64/python2.7/ctypes/__init__.py", line 431, in LoadLibrary
:  File "/usr/lib64/python2.7/ctypes/__init__.py", line 353, in __init__
Comment 1 Michiduta07 2012-04-22 04:18:17 EDT
Created attachment 579258 [details]
File: dso_list
Comment 2 Michiduta07 2012-04-22 04:18:19 EDT
Created attachment 579259 [details]
File: build_ids
Comment 3 Michiduta07 2012-04-22 04:18:21 EDT
Created attachment 579260 [details]
File: maps
Comment 4 Michiduta07 2012-04-22 04:18:23 EDT
Created attachment 579261 [details]
File: backtrace
Comment 5 Kevin Fenzi 2012-04-22 13:41:42 EDT
What were you doing when this happened? Can you duplicate it? 

Does it happen with the updated calibre in my side repo:

su
cd /etc/yum.repos.d/
wget http://repos.fedorapeople.org/repos/kevin/calibre/fedora-calibre.repo
yum clean all
yum update calibre
Comment 6 Michiduta07 2012-04-22 14:41:03 EDT
It appears to happen when converting a cbr to epub. 


calibre, version 0.8.47
ERROR: Conversion Error: <b>Failed</b>: Convert book 1 of 1 (Mass Effect Evolution 01)

Convert book 1 of 1 (Mass Effect Evolution 01)
Resolved conversion options
calibre version: 0.8.47
{'asciiize': False,
 'author_sort': None,
 'authors': None,
 'base_font_size': 0.0,
 'book_producer': None,
 'change_justification': 'left',
 'chapter': None,
 'chapter_mark': u'pagebreak',
 'colors': 256,
 'comic_image_size': None,
 'comments': None,
 'cover': None,
 'debug_pipeline': None,
 'dehyphenate': True,
 'delete_blank_paragraphs': True,
 'despeckle': False,
 'disable_font_rescaling': True,
 'disable_trim': False,
 'dont_add_comic_pages_to_toc': False,
 'dont_grayscale': False,
 'dont_normalize': False,
 'dont_sharpen': False,
 'dont_split_on_page_breaks': False,
 'duplicate_links_in_toc': False,
 'enable_heuristics': False,
 'epub_flatten': False,
 'extra_css': None,
 'extract_to': None,
 'filter_css': u'',
 'fix_indents': True,
 'flow_size': 260,
 'font_size_mapping': None,
 'format_scene_breaks': True,
 'html_unwrap_factor': 0.4,
 'input_encoding': None,
 'input_profile': <calibre.customize.profiles.InputProfile object at 0x1e83e50>,
 'insert_blank_line': False,
 'insert_blank_line_size': 0.5,
 'insert_metadata': False,
 'isbn': None,
 'italicize_common_cases': True,
 'keep_aspect_ratio': False,
 'keep_ligatures': False,
 'landscape': False,
 'language': None,
 'level1_toc': None,
 'level2_toc': None,
 'level3_toc': None,
 'line_height': 0.0,
 'linearize_tables': False,
 'margin_bottom': 0,
 'margin_left': 0,
 'margin_right': 0,
 'margin_top': 0,
 'markup_chapter_headings': True,
 'max_toc_links': 50,
 'minimum_line_height': 120.0,
 'no_chapters_in_toc': False,
 'no_default_epub_cover': False,
 'no_inline_navbars': False,
 'no_process': False,
 'no_sort': False,
 'no_svg_cover': False,
 'output_format': u'png',
 'output_profile': <calibre.customize.profiles.NookOutput object at 0x1e82690>,
 'page_breaks_before': None,
 'prefer_metadata_cover': False,
 'preserve_cover_aspect_ratio': False,
 'pretty_print': True,
 'pubdate': None,
 'publisher': None,
 'rating': None,
 'read_metadata_from_opf': u'/tmp/calibre_0.8.47_tmp_czJifX/emq2GC.opf',
 'remove_fake_margins': True,
 'remove_first_image': False,
 'remove_paragraph_spacing': False,
 'remove_paragraph_spacing_indent_size': 1.5,
 'renumber_headings': True,
 'replace_scene_breaks': u'',
 'right2left': False,
 'series': None,
 'series_index': None,
 'smarten_punctuation': False,
 'sr1_replace': None,
 'sr1_search': None,
 'sr2_replace': None,
 'sr2_search': None,
 'sr3_replace': None,
 'sr3_search': None,
 'tags': None,
 'timestamp': None,
 'title': None,
 'title_sort': None,
 'toc_filter': None,
 'toc_threshold': 6,
 'unsmarten_punctuation': False,
 'unwrap_lines': True,
 'use_auto_toc': False,
 'verbose': 2,
 'wide': False}

It also happens with the updated calibre as seen above.
Comment 7 Fedora End Of Life 2013-01-16 18:19:44 EST
This message is a reminder that Fedora 16 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 16. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '16'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 16's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 16 is end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" and open it against that version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 8 Fedora End Of Life 2013-02-13 20:43:09 EST
Fedora 16 changed to end-of-life (EOL) status on 2013-02-12. Fedora 16 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.